Skip to main content
DELETE
/
integrations
/
{slug}
/
models
Bulk delete integration custom models
curl --request DELETE \
  --url https://api.portkey.ai/v1/integrations/{slug}/models \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/integrations/{slug}/models"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/integrations/{slug}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

slug
string
required

Query Parameters

slugs
string
required

Comma-separated list of model slugs to delete

Example:

"gpt-4,gpt-3.5-turbo"

Response

200 - application/json

Models deleted successfully

The response is of type object.

Last modified on May 13, 2026